﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
/// <summary>
/// Настройка нашего пользовательского интерфейса, это второй шаг для отображения услуг в том виде, 
/// что требует ТЗ на главной странице программы
/// </summary>
namespace BB
{
    public partial class ServiceLists : UserControl
    {
        ServiceListClass serviceListClass;//ссылка на наш класс-контейнер

        public ServiceLists(int idFromBase, string nameFromBase, int countFromBase, int timeFromBase, double saleFromBase, string imgPathFromBase) //Метод примет данные из бд
        {
            InitializeComponent();
            //Собственно заполнение класса-контейнера данными
            serviceListClass = new ServiceListClass(idFromBase, nameFromBase, countFromBase, timeFromBase, saleFromBase, imgPathFromBase);
            //Соотношение данных с элементами интерфейса
            ServiceName.Text = serviceListClass.name;
            ServiceCount.Text = serviceListClass.countText;
            ServiceTime.Text = serviceListClass.timeText;
            ServiceSale.Text = serviceListClass.saleText;
            ServiceImage.ImageLocation = serviceListClass.imgPath;//Путь изображения
            ServiceImage.SizeMode = PictureBoxSizeMode.Zoom;//Корректировка размера

            if(!StaticClass.isActive)//Кнопки не будут показаны обычному пользователю.
            {
                EditBtn.Visible = false;
                DeleteBtn.Visible = false;
            }
                
        }

        private void ServiceLists_Load(object sender, EventArgs e)
        {

        }

        private void DeleteBtn_Click(object sender, EventArgs e)
        {

        }
    }
}
